Debian Bug report logs - #330656
RM: php3 -- RoM; obsolete, RC-buggy

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Andreas Jochens <aj@andaco.de>

Date: Wed, 28 Sep 2005 12:18:04 UTC

Severity: normal

Tags: patch

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#330495; Package php3. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
New Bug report received and forwarded. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: php3: FTBFS: Failed to satisfy Build-Depends: libsnmp5-dev
Date: Wed, 28 Sep 2005 14:06:35 +0200
Package: php3
Version: 3:3.0.18-31
Severity: serious
Tags: patch

When building 'php3' in a clean 'unstable' chroot,
I get the following error:

Reading package lists...
Building dependency tree...
E: Package libsnmp5-dev has no installation candidate
E: Failed to satisfy Build-Depends dependency for php3: libsnmp5-dev
Package libsnmp5-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Please add the missing Build-Depends on 'libsnmp9-dev'
to debian/control.

Regards
Andreas Jochens

diff -urN ../tmp-orig/php3-3.0.18/debian/control ./debian/control
--- ../tmp-orig/php3-3.0.18/debian/control	2005-09-28 11:21:07.000000000 +0000
+++ ./debian/control	2005-09-28 11:19:46.000000000 +0000
@@ -2,7 +2,7 @@
 Section: web
 Priority: extra
 Maintainer: Adam Conrad <adconrad@0c3.net>
-Build-Depends: debhelper (>= 2.0.40), perl, flex-old, bison, apache-dev (>= 1.3.27-1), zlib1g-dev, libgdbm-dev, libmysqlclient12-dev, libc-client-dev, libgd2-xpm-dev, libt1-dev, libxmltok1-dev, libldap2-dev, libsnmp5-dev, libmagick6-dev (>= 5:6.0.0.2-1), libbz2-dev, libmhash-dev, libdb4.2-dev, xlibs-dev, libssl-dev, postgresql-dev (>= 7.2-4)
+Build-Depends: debhelper (>= 2.0.40), perl, flex-old, bison, apache-dev (>= 1.3.27-1), zlib1g-dev, libgdbm-dev, libmysqlclient12-dev, libc-client-dev, libgd2-xpm-dev, libt1-dev, libxmltok1-dev, libldap2-dev, libsnmp9-dev, libmagick6-dev (>= 5:6.0.0.2-1), libbz2-dev, libmhash-dev, libdb4.2-dev, xlibs-dev, libssl-dev, postgresql-dev (>= 7.2-4)
 Standards-Version: 3.6.1
 
 Package: php3



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#330495; Package php3. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #10 received at 330495@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Andreas Jochens <aj@andaco.de>, 330495@bugs.debian.org
Subject: Re: Bug#330495: php3: FTBFS: Failed to satisfy Build-Depends: libsnmp5-dev
Date: Wed, 28 Sep 2005 15:55:36 -0700
[Message part 1 (text/plain, inline)]
On Wed, Sep 28, 2005 at 02:06:35PM +0200, Andreas Jochens wrote:
> Package: php3
> Version: 3:3.0.18-31
> Severity: serious
> Tags: patch

> When building 'php3' in a clean 'unstable' chroot,
> I get the following error:

> Please add the missing Build-Depends on 'libsnmp9-dev'
> to debian/control.

Adam, is it maybe time to go ahead and just remove php3 from the archive?
melanie says it has no remaining reverse-deps or reverse-build-deps in
testing/unstable.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#330495; Package php3. Full text and rfc822 format available.

Acknowledgement sent to Adam Conrad <adconrad@0c3.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 330495@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: Steve Langasek <vorlon@debian.org>, 330495@bugs.debian.org
Subject: Re: Bug#330495: php3: FTBFS: Failed to satisfy Build-Depends: libsnmp5-dev
Date: Thu, 29 Sep 2005 11:31:47 +1000
Steve Langasek wrote:
> 
> Adam, is it maybe time to go ahead and just remove php3 from the archive?
> melanie says it has no remaining reverse-deps or reverse-build-deps in
> testing/unstable.

I thought jvw had already requested/marked it for removal, but maybe
not.  Yes, the reason I was blatantly ignoring its RC bugs was
specifically because it was going to be removed, it's not like any of
them are HARD to fix.

... Adam



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#330495; Package php3. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #20 received at 330495@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Adam Conrad <adconrad@0c3.net>
Cc: 330495@bugs.debian.org
Subject: Re: Bug#330495: php3: FTBFS: Failed to satisfy Build-Depends: libsnmp5-dev
Date: Wed, 28 Sep 2005 19:00:18 -0700
[Message part 1 (text/plain, inline)]
clone 330495 -1
reassign -1 ftp.debian.org
severity -1 normal
retitle -1 RM: php3 -- RoM; obsolete, RC-buggy
thanks

On Thu, Sep 29, 2005 at 11:31:47AM +1000, Adam Conrad wrote:
> Steve Langasek wrote:

> > Adam, is it maybe time to go ahead and just remove php3 from the archive?
> > melanie says it has no remaining reverse-deps or reverse-build-deps in
> > testing/unstable.

> I thought jvw had already requested/marked it for removal, but maybe
> not.

Apparently not.  Done now.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Bug 330495 cloned as bug 330656. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `php3' to `ftp.debian.org'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jochens <aj@andaco.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 330656-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 330656-close@bugs.debian.org
Cc: php3@packages.debian.org, php3@packages.qa.debian.org
Subject: Bug#330656: fixed
Date: Wed, 05 Oct 2005 17:51:56 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      php3 | 3:3.0.18-31 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  php3-cgi | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-cgi-gd | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-cgi-imap | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-cgi-ldap | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-cgi-magick | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-cgi-mhash | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-cgi-mysql | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-cgi-pgsql | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-cgi-snmp | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-cgi-xml | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  php3-dev | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  php3-doc | 3:3.0.18-31 | all
   php3-gd | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
 php3-imap | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
 php3-ldap | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-magick | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-mhash | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-mysql | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
php3-pgsql | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
 php3-snmp | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  php3-xml | 3:3.0.18-31 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 330656@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 09:47:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:41:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.